PROGRAM_NAME='MidRa'
(***********************************************************)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 01/08/2017                      *)
(***********************************************************)
(* System Type : NetLinx                                   *)
(***********************************************************)
(* REV HISTORY:     Revision   1.11                        *)
(***********************************************************)
(*
Powered by Technidream for ANALOG WAY
*)

(***********************************************************)
(*               CONSTANT DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_CONSTANT

FeedBack_Loop=1

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

Long FeedBack_Loop_Steps [2]


(***********************************************************)
(*                INCLUDE CODE GOES BELOW                  *)
(***********************************************************)
INCLUDE 'MidRa_User_Definitions.axi' //TO BE SET BY USER

INCLUDE 'MidRa_Definitions.axi'	//DON'T MODIFY CONTENT OF THIS FILE !!!!!!	
				//****************************************

(***********************************************************)
(*             THE MODULES GOES BELOW                      *)
(***********************************************************)

// NON OPTIONNAL MODULES //
//**********************//

DEFINE_MODULE 'MidRa_Proc_Com' MidRa_Proc(MidRa_Machine,
					  MidRa_Adresse,
					  MidRa_Port,
					  MidRa_Proc_COM,
					  MidRa_Modules_Array,
					  MidRa_Modules_Usage,
					  MidRa_General_Panel,
					  MidRa_Panels_Array)

DEFINE_MODULE 'MidRa_General' MidRa_General  (MidRa_Proc_COM,
					      MidRa_General_COM,
					      MidRa_General_Panel,
					      Active_Video_Mode
					      )
						    

// OPTIONNAL MODULES //
//*******************//
DEFINE_MODULE 'MidRa_Video_Inputs' MidRa_Video_Inputs (MidRa_Proc_COM,
						       MidRa_Video_Inputs_COM,
						       MidRa_Video_Inputs_Panel,
						       Video_Input_Format,
						       In_Active_Plug_FB)

//MidRa_Video_Inputs module is needed if  MidRa_Audio module is used						
//******************************************************************


DEFINE_MODULE 'MidRa_Audio' MidRa_Audio (MidRa_Proc_COM,
					 MidRa_Audio_COM,
					 MidRa_Audio_Panel,
					 Audio_Input_Format,
					 Active_Video_Mode,
					 In_Active_Plug_FB)
						
DEFINE_MODULE 'MidRa_Frame_Logo' MidRa_Frame_Logo(MidRa_Proc_COM,
						  MidRa_Frame_Logo_COM,
						  MidRa_Frame_Logo_Panel)
						
DEFINE_MODULE 'MidRa_Screen' Screen1_Com(MidRa_Proc_COM,
					 MidRa_Screen1_COM,
					 MidRa_Screen1_Panel,
					 Screen1_Main_Layers_Source,
					 Screen1_Preview_Layers_Source,
					 Screen1)

DEFINE_MODULE 'MidRa_Screen_Presets' MidRa_Screen1_Presets   (MidRa_Proc_COM,
							      MidRa_Screen_Presets1_COM,
							      MidRa_Screen1_Panel,
							      Screen1)

DEFINE_MODULE 'MidRa_Screen' Screen2_Com(MidRa_Proc_COM,
					 MidRa_Screen2_COM,
					 MidRa_Screen2_Panel,
					 Screen2_Main_Layers_Source,
					 Screen2_Preview_Layers_Source,
					 Screen2)

DEFINE_MODULE 'MidRa_Screen_Presets' MidRa_Screen2_Presets   (MidRa_Proc_COM,
							      MidRa_Screen_Presets2_COM,
							      MidRa_Screen2_Panel,
							      Screen2)

 

(***********************************************************)
(*                THE EVENTS GO BELOW                      *)
(***********************************************************)
DEFINE_EVENT

//EXAMPLE FOR MASTER PRESET RECALL(that's one way !)
(**************************************************)

//Preview
BUTTON_EVENT [MidRa_General_Panel,451]
{
PUSH:
    {
    If (MidRa_Modules_Usage[5]=1)
	SEND_LEVEL MidRa_Screen1_Panel,122,1
    If (MidRa_Modules_Usage[6]=1)
	SEND_LEVEL MidRa_Screen2_Panel,122,1
    }
}
BUTTON_EVENT [MidRa_General_Panel,452]
{
PUSH:
    {
    If (MidRa_Modules_Usage[5]=1)
	SEND_LEVEL MidRa_Screen1_Panel,122,2
    If (MidRa_Modules_Usage[6]=1)
	SEND_LEVEL MidRa_Screen2_Panel,122,2
    }
}
BUTTON_EVENT [MidRa_General_Panel,453]
{
PUSH:
    {
    If (MidRa_Modules_Usage[5]=1)
	SEND_LEVEL MidRa_Screen1_Panel,122,3
    If (MidRa_Modules_Usage[6]=1)
	SEND_LEVEL MidRa_Screen2_Panel,122,3
    }
}
BUTTON_EVENT [MidRa_General_Panel,454]
{
PUSH:
    {
    If (MidRa_Modules_Usage[5]=1)
	SEND_LEVEL MidRa_Screen1_Panel,122,4
    If (MidRa_Modules_Usage[6]=1)
	SEND_LEVEL MidRa_Screen2_Panel,122,4
    }
}
    
//Main
BUTTON_EVENT [MidRa_General_Panel,461]
{
PUSH:
    {
    If (MidRa_Modules_Usage[5]=1)
	SEND_LEVEL MidRa_Screen1_Panel,121,1
    If (MidRa_Modules_Usage[6]=1)
	SEND_LEVEL MidRa_Screen2_Panel,121,1
    }
}
BUTTON_EVENT [MidRa_General_Panel,462]
{
PUSH:
    {
    If (MidRa_Modules_Usage[5]=1)
	SEND_LEVEL MidRa_Screen1_Panel,121,2
    If (MidRa_Modules_Usage[6]=1)
	SEND_LEVEL MidRa_Screen2_Panel,121,2
    }
}
BUTTON_EVENT [MidRa_General_Panel,463]
{
PUSH:
    {
    If (MidRa_Modules_Usage[5]=1)
	SEND_LEVEL MidRa_Screen1_Panel,121,3
    If (MidRa_Modules_Usage[6]=1)
	SEND_LEVEL MidRa_Screen2_Panel,121,3
    }
}
BUTTON_EVENT [MidRa_General_Panel,464]
{
PUSH:
    {
    If (MidRa_Modules_Usage[5]=1)
	SEND_LEVEL MidRa_Screen1_Panel,121,4
    If (MidRa_Modules_Usage[6]=1)
	SEND_LEVEL MidRa_Screen2_Panel,121,4
    }
}
    

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START
//EXAMPLE FOR FEEDBACK (that's one possible way!)
//FEEBACK ACTIVE SOURCE FOR 8 SOURCES, 4  FRAMES 
(**********************************************************)

FeedBack_Loop_Steps[1]=100
FeedBack_Loop_Steps[2]=100
TIMELINE_CREATE (FeedBack_Loop,FeedBack_Loop_Steps,2,TIMELINE_ABSOLUTE,TIMELINE_REPEAT)

(***********************************************************)
(*                THE EVENTS GO BELOW                      *)
(***********************************************************)
DEFINE_EVENT

Timeline_Event [FeedBack_Loop]
{
Switch (Timeline.Sequence)
    {
    Case 1 :
        {
	//Screen1 Main source Feedback
	[MidRa_Screen1_Panel,150]=(Screen1_Main_Layers_Source[1] == $00)	//source layer 1 = none
	[MidRa_Screen1_Panel,151]=(Screen1_Main_Layers_Source[1] == $01)	//source layer 1 = Frame 1
	[MidRa_Screen1_Panel,152]=(Screen1_Main_Layers_Source[1] == $02)	//source layer 1 = Frame 2
	[MidRa_Screen1_Panel,153]=(Screen1_Main_Layers_Source[1] == $03)	//source layer 1 = Frame 3
	[MidRa_Screen1_Panel,154]=(Screen1_Main_Layers_Source[1] == $04)	//source layer 1 = Frame 4

	[MidRa_Screen1_Panel,170]=(Screen1_Main_Layers_Source[2] == $00)	//source Layer 2 = none
	[MidRa_Screen1_Panel,171]=(Screen1_Main_Layers_Source[2] == $01)	//source Layer 2 = input 1
	[MidRa_Screen1_Panel,172]=(Screen1_Main_Layers_Source[2] == $02)	//source Layer 2 = input 2
	[MidRa_Screen1_Panel,173]=(Screen1_Main_Layers_Source[2] == $03)	//source Layer 2 = input 3
	[MidRa_Screen1_Panel,174]=(Screen1_Main_Layers_Source[2] == $04)	//source Layer 2 = input 4
	[MidRa_Screen1_Panel,175]=(Screen1_Main_Layers_Source[2] == $05)	//source Layer 2 = input 5
	[MidRa_Screen1_Panel,176]=(Screen1_Main_Layers_Source[2] == $06)	//source Layer 2 = input 6
	[MidRa_Screen1_Panel,177]=(Screen1_Main_Layers_Source[2] == $07)	//source Layer 2 = input 7
	[MidRa_Screen1_Panel,178]=(Screen1_Main_Layers_Source[2] == $08)	//source Layer 2 = input 8

	[MidRa_Screen1_Panel,190]=(Screen1_Main_Layers_Source[3] == $00)	//source Layer 3 = none
	[MidRa_Screen1_Panel,191]=(Screen1_Main_Layers_Source[3] == $01)	//source Layer 3 = input 1
	[MidRa_Screen1_Panel,192]=(Screen1_Main_Layers_Source[3] == $02)	//source Layer 3 = input 2
	[MidRa_Screen1_Panel,193]=(Screen1_Main_Layers_Source[3] == $03)	//source Layer 3 = input 3
	[MidRa_Screen1_Panel,194]=(Screen1_Main_Layers_Source[3] == $04)	//source Layer 3 = input 4
	[MidRa_Screen1_Panel,195]=(Screen1_Main_Layers_Source[3] == $05)	//source Layer 3 = input 5
	[MidRa_Screen1_Panel,196]=(Screen1_Main_Layers_Source[3] == $06)	//source Layer 3 = input 6
	[MidRa_Screen1_Panel,197]=(Screen1_Main_Layers_Source[3] == $07)	//source Layer 3 = input 7
	[MidRa_Screen1_Panel,198]=(Screen1_Main_Layers_Source[3] == $08)	//source Layer 3 = input 8

	//Screen2 Main source Feedback
	[MidRa_Screen2_Panel,150]=(Screen2_Main_Layers_Source[1] == $00)	//source layer 1 = none
	[MidRa_Screen2_Panel,151]=(Screen2_Main_Layers_Source[1] == $01)	//source layer 1 = Frame 1
	[MidRa_Screen2_Panel,152]=(Screen2_Main_Layers_Source[1] == $02)	//source layer 1 = Frame 2
	[MidRa_Screen2_Panel,153]=(Screen2_Main_Layers_Source[1] == $03)	//source layer 1 = Frame 3
	[MidRa_Screen2_Panel,154]=(Screen2_Main_Layers_Source[1] == $04)	//source layer 1 = Frame 4

	[MidRa_Screen2_Panel,170]=(Screen2_Main_Layers_Source[2] == $00)	//source Layer 2 = none
	[MidRa_Screen2_Panel,171]=(Screen2_Main_Layers_Source[2] == $01)	//source Layer 2 = input 1
	[MidRa_Screen2_Panel,172]=(Screen2_Main_Layers_Source[2] == $02)	//source Layer 2 = input 2
	[MidRa_Screen2_Panel,173]=(Screen2_Main_Layers_Source[2] == $03)	//source Layer 2 = input 3
	[MidRa_Screen2_Panel,174]=(Screen2_Main_Layers_Source[2] == $04)	//source Layer 2 = input 4
	[MidRa_Screen2_Panel,175]=(Screen2_Main_Layers_Source[2] == $05)	//source Layer 2 = input 5
	[MidRa_Screen2_Panel,176]=(Screen2_Main_Layers_Source[2] == $06)	//source Layer 2 = input 6
	[MidRa_Screen2_Panel,177]=(Screen2_Main_Layers_Source[2] == $07)	//source Layer 2 = input 7
	[MidRa_Screen2_Panel,178]=(Screen2_Main_Layers_Source[2] == $08)	//source Layer 2 = input 8

	[MidRa_Screen2_Panel,190]=(Screen2_Main_Layers_Source[3] == $00)	//source Layer 3 = none
	[MidRa_Screen2_Panel,191]=(Screen2_Main_Layers_Source[3] == $01)	//source Layer 3 = input 1
	[MidRa_Screen2_Panel,192]=(Screen2_Main_Layers_Source[3] == $02)	//source Layer 3 = input 2
	[MidRa_Screen2_Panel,193]=(Screen2_Main_Layers_Source[3] == $03)	//source Layer 3 = input 3
	[MidRa_Screen2_Panel,194]=(Screen2_Main_Layers_Source[3] == $04)	//source Layer 3 = input 4
	[MidRa_Screen2_Panel,195]=(Screen2_Main_Layers_Source[3] == $05)	//source Layer 3 = input 5
	[MidRa_Screen2_Panel,196]=(Screen2_Main_Layers_Source[3] == $06)	//source Layer 3 = input 6
	[MidRa_Screen2_Panel,197]=(Screen2_Main_Layers_Source[3] == $07)	//source Layer 3 = input 7
	[MidRa_Screen2_Panel,198]=(Screen2_Main_Layers_Source[3] == $08)	//source Layer 3 = input 8
	}
    Case 2 :
        {
	//Screen1 Preview source Feedback
	[MidRa_Screen1_Panel,350]=(Screen1_Preview_Layers_Source[1] == $00)		//source layer 1 = none
	[MidRa_Screen1_Panel,351]=(Screen1_Preview_Layers_Source[1] == $01)		//source layer 1 = Frame 1
	[MidRa_Screen1_Panel,352]=(Screen1_Preview_Layers_Source[1] == $02)		//source layer 1 = Frame 2
	[MidRa_Screen1_Panel,353]=(Screen1_Preview_Layers_Source[1] == $03)		//source layer 1 = Frame 3
	[MidRa_Screen1_Panel,354]=(Screen1_Preview_Layers_Source[1] == $04)		//source layer 1 = Frame 4

	[MidRa_Screen1_Panel,370]=(Screen1_Preview_Layers_Source[2] == $00)		//source Layer 2 = none
	[MidRa_Screen1_Panel,371]=(Screen1_Preview_Layers_Source[2] == $01)		//source Layer 2 = input 1
	[MidRa_Screen1_Panel,372]=(Screen1_Preview_Layers_Source[2] == $02)		//source Layer 2 = input 2
	[MidRa_Screen1_Panel,373]=(Screen1_Preview_Layers_Source[2] == $03)		//source Layer 2 = input 3
	[MidRa_Screen1_Panel,374]=(Screen1_Preview_Layers_Source[2] == $04)		//source Layer 2 = input 4
	[MidRa_Screen1_Panel,375]=(Screen1_Preview_Layers_Source[2] == $05)		//source Layer 2 = input 5
	[MidRa_Screen1_Panel,376]=(Screen1_Preview_Layers_Source[2] == $06)		//source Layer 2 = input 6
	[MidRa_Screen1_Panel,377]=(Screen1_Preview_Layers_Source[2] == $07)		//source Layer 2 = input 7
	[MidRa_Screen1_Panel,378]=(Screen1_Preview_Layers_Source[2] == $08)		//source Layer 2 = input 8

	[MidRa_Screen1_Panel,390]=(Screen1_Preview_Layers_Source[3] == $00)		//source Layer 3 = none
	[MidRa_Screen1_Panel,391]=(Screen1_Preview_Layers_Source[3] == $01)		//source Layer 3 = input 1
	[MidRa_Screen1_Panel,392]=(Screen1_Preview_Layers_Source[3] == $02)		//source Layer 3 = input 2
	[MidRa_Screen1_Panel,393]=(Screen1_Preview_Layers_Source[3] == $03)		//source Layer 3 = input 3
	[MidRa_Screen1_Panel,394]=(Screen1_Preview_Layers_Source[3] == $04)		//source Layer 3 = input 4
	[MidRa_Screen1_Panel,395]=(Screen1_Preview_Layers_Source[3] == $05)		//source Layer 3 = input 5
	[MidRa_Screen1_Panel,396]=(Screen1_Preview_Layers_Source[3] == $06)		//source Layer 3 = input 6
	[MidRa_Screen1_Panel,397]=(Screen1_Preview_Layers_Source[3] == $07)		//source Layer 3 = input 7
	[MidRa_Screen1_Panel,398]=(Screen1_Preview_Layers_Source[3] == $08)		//source Layer 3 = input 8


	//Screen2 Preview source Feedback
	[MidRa_Screen2_Panel,350]=(Screen2_Preview_Layers_Source[1] == $00)		//source layer 1 = none
	[MidRa_Screen2_Panel,351]=(Screen2_Preview_Layers_Source[1] == $01)		//source layer 1 = Frame 1
	[MidRa_Screen2_Panel,352]=(Screen2_Preview_Layers_Source[1] == $02)		//source layer 1 = Frame 2
	[MidRa_Screen2_Panel,353]=(Screen2_Preview_Layers_Source[1] == $03)		//source layer 1 = Frame 3
	[MidRa_Screen2_Panel,354]=(Screen2_Preview_Layers_Source[1] == $04)		//source layer 1 = Frame 4

	[MidRa_Screen2_Panel,370]=(Screen2_Preview_Layers_Source[2] == $00)		//source Layer 2 = none
	[MidRa_Screen2_Panel,371]=(Screen2_Preview_Layers_Source[2] == $01)		//source Layer 2 = input 1
	[MidRa_Screen2_Panel,372]=(Screen2_Preview_Layers_Source[2] == $02)		//source Layer 2 = input 2
	[MidRa_Screen2_Panel,373]=(Screen2_Preview_Layers_Source[2] == $03)		//source Layer 2 = input 3
	[MidRa_Screen2_Panel,374]=(Screen2_Preview_Layers_Source[2] == $04)		//source Layer 2 = input 4
	[MidRa_Screen2_Panel,375]=(Screen2_Preview_Layers_Source[2] == $05)		//source Layer 2 = input 5
	[MidRa_Screen2_Panel,376]=(Screen2_Preview_Layers_Source[2] == $06)		//source Layer 2 = input 6
	[MidRa_Screen2_Panel,377]=(Screen2_Preview_Layers_Source[2] == $07)		//source Layer 2 = input 7
	[MidRa_Screen2_Panel,378]=(Screen2_Preview_Layers_Source[2] == $08)		//source Layer 2 = input 8

	[MidRa_Screen2_Panel,390]=(Screen2_Preview_Layers_Source[3] == $00)		//source Layer 3 = none
	[MidRa_Screen2_Panel,391]=(Screen2_Preview_Layers_Source[3] == $01)		//source Layer 3 = input 1
	[MidRa_Screen2_Panel,392]=(Screen2_Preview_Layers_Source[3] == $02)		//source Layer 3 = input 2
	[MidRa_Screen2_Panel,393]=(Screen2_Preview_Layers_Source[3] == $03)		//source Layer 3 = input 3
	[MidRa_Screen2_Panel,394]=(Screen2_Preview_Layers_Source[3] == $04)		//source Layer 3 = input 4
	[MidRa_Screen2_Panel,395]=(Screen2_Preview_Layers_Source[3] == $05)		//source Layer 3 = input 5
	[MidRa_Screen2_Panel,396]=(Screen2_Preview_Layers_Source[3] == $06)		//source Layer 3 = input 6
	[MidRa_Screen2_Panel,397]=(Screen2_Preview_Layers_Source[3] == $07)		//source Layer 3 = input 7
	[MidRa_Screen2_Panel,398]=(Screen2_Preview_Layers_Source[3] == $08)		//source Layer 3 = input 8
	}
    }
}




/*
(***********************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                *)
(***********************************************************)
DEFINE_PROGRAM

//EXAMPLE FOR FEEDBACK (that's one way !)
//FEEBACK ACTIVE SOURCE FOR 8 SOURCES, 4  FRAMES 
(**********************************************)

//DON'T USE THIS WAY FOR NX Series !!!!!!!


//Screen1 Main source Feedback
[MidRa_Screen1_Panel,150]=(Screen1_Main_Layers_Source[1] == $00)	//source layer 1 = none
[MidRa_Screen1_Panel,151]=(Screen1_Main_Layers_Source[1] == $01)	//source layer 1 = Frame 1
[MidRa_Screen1_Panel,152]=(Screen1_Main_Layers_Source[1] == $02)	//source layer 1 = Frame 2
[MidRa_Screen1_Panel,153]=(Screen1_Main_Layers_Source[1] == $03)	//source layer 1 = Frame 3
[MidRa_Screen1_Panel,154]=(Screen1_Main_Layers_Source[1] == $04)	//source layer 1 = Frame 4

[MidRa_Screen1_Panel,170]=(Screen1_Main_Layers_Source[2] == $00)	//source Layer 2 = none
[MidRa_Screen1_Panel,171]=(Screen1_Main_Layers_Source[2] == $01)	//source Layer 2 = input 1
[MidRa_Screen1_Panel,172]=(Screen1_Main_Layers_Source[2] == $02)	//source Layer 2 = input 2
[MidRa_Screen1_Panel,173]=(Screen1_Main_Layers_Source[2] == $03)	//source Layer 2 = input 3
[MidRa_Screen1_Panel,174]=(Screen1_Main_Layers_Source[2] == $04)	//source Layer 2 = input 4
[MidRa_Screen1_Panel,175]=(Screen1_Main_Layers_Source[2] == $05)	//source Layer 2 = input 5
[MidRa_Screen1_Panel,176]=(Screen1_Main_Layers_Source[2] == $06)	//source Layer 2 = input 6
[MidRa_Screen1_Panel,177]=(Screen1_Main_Layers_Source[2] == $07)	//source Layer 2 = input 7
[MidRa_Screen1_Panel,178]=(Screen1_Main_Layers_Source[2] == $08)	//source Layer 2 = input 8

[MidRa_Screen1_Panel,190]=(Screen1_Main_Layers_Source[3] == $00)	//source Layer 3 = none
[MidRa_Screen1_Panel,191]=(Screen1_Main_Layers_Source[3] == $01)	//source Layer 3 = input 1
[MidRa_Screen1_Panel,192]=(Screen1_Main_Layers_Source[3] == $02)	//source Layer 3 = input 2
[MidRa_Screen1_Panel,193]=(Screen1_Main_Layers_Source[3] == $03)	//source Layer 3 = input 3
[MidRa_Screen1_Panel,194]=(Screen1_Main_Layers_Source[3] == $04)	//source Layer 3 = input 4
[MidRa_Screen1_Panel,195]=(Screen1_Main_Layers_Source[3] == $05)	//source Layer 3 = input 5
[MidRa_Screen1_Panel,196]=(Screen1_Main_Layers_Source[3] == $06)	//source Layer 3 = input 6
[MidRa_Screen1_Panel,197]=(Screen1_Main_Layers_Source[3] == $07)	//source Layer 3 = input 7
[MidRa_Screen1_Panel,198]=(Screen1_Main_Layers_Source[3] == $08)	//source Layer 3 = input 8


//Screen2 Main source Feedback
[MidRa_Screen2_Panel,150]=(Screen2_Main_Layers_Source[1] == $00)	//source layer 1 = none
[MidRa_Screen2_Panel,151]=(Screen2_Main_Layers_Source[1] == $01)	//source layer 1 = Frame 1
[MidRa_Screen2_Panel,152]=(Screen2_Main_Layers_Source[1] == $02)	//source layer 1 = Frame 2
[MidRa_Screen2_Panel,153]=(Screen2_Main_Layers_Source[1] == $03)	//source layer 1 = Frame 3
[MidRa_Screen2_Panel,154]=(Screen2_Main_Layers_Source[1] == $04)	//source layer 1 = Frame 4

[MidRa_Screen2_Panel,170]=(Screen2_Main_Layers_Source[2] == $00)	//source Layer 2 = none
[MidRa_Screen2_Panel,171]=(Screen2_Main_Layers_Source[2] == $01)	//source Layer 2 = input 1
[MidRa_Screen2_Panel,172]=(Screen2_Main_Layers_Source[2] == $02)	//source Layer 2 = input 2
[MidRa_Screen2_Panel,173]=(Screen2_Main_Layers_Source[2] == $03)	//source Layer 2 = input 3
[MidRa_Screen2_Panel,174]=(Screen2_Main_Layers_Source[2] == $04)	//source Layer 2 = input 4
[MidRa_Screen2_Panel,175]=(Screen2_Main_Layers_Source[2] == $05)	//source Layer 2 = input 5
[MidRa_Screen2_Panel,176]=(Screen2_Main_Layers_Source[2] == $06)	//source Layer 2 = input 6
[MidRa_Screen2_Panel,177]=(Screen2_Main_Layers_Source[2] == $07)	//source Layer 2 = input 7
[MidRa_Screen2_Panel,178]=(Screen2_Main_Layers_Source[2] == $08)	//source Layer 2 = input 8

[MidRa_Screen2_Panel,190]=(Screen2_Main_Layers_Source[3] == $00)	//source Layer 3 = none
[MidRa_Screen2_Panel,191]=(Screen2_Main_Layers_Source[3] == $01)	//source Layer 3 = input 1
[MidRa_Screen2_Panel,192]=(Screen2_Main_Layers_Source[3] == $02)	//source Layer 3 = input 2
[MidRa_Screen2_Panel,193]=(Screen2_Main_Layers_Source[3] == $03)	//source Layer 3 = input 3
[MidRa_Screen2_Panel,194]=(Screen2_Main_Layers_Source[3] == $04)	//source Layer 3 = input 4
[MidRa_Screen2_Panel,195]=(Screen2_Main_Layers_Source[3] == $05)	//source Layer 3 = input 5
[MidRa_Screen2_Panel,196]=(Screen2_Main_Layers_Source[3] == $06)	//source Layer 3 = input 6
[MidRa_Screen2_Panel,197]=(Screen2_Main_Layers_Source[3] == $07)	//source Layer 3 = input 7
[MidRa_Screen2_Panel,198]=(Screen2_Main_Layers_Source[3] == $08)	//source Layer 3 = input 8


//Screen1 Preview source Feedback
[MidRa_Screen1_Panel,350]=(Screen1_Preview_Layers_Source[1] == $00)		//source layer 1 = none
[MidRa_Screen1_Panel,351]=(Screen1_Preview_Layers_Source[1] == $01)		//source layer 1 = Frame 1
[MidRa_Screen1_Panel,352]=(Screen1_Preview_Layers_Source[1] == $02)		//source layer 1 = Frame 2
[MidRa_Screen1_Panel,353]=(Screen1_Preview_Layers_Source[1] == $03)		//source layer 1 = Frame 3
[MidRa_Screen1_Panel,354]=(Screen1_Preview_Layers_Source[1] == $04)		//source layer 1 = Frame 4

[MidRa_Screen1_Panel,370]=(Screen1_Preview_Layers_Source[2] == $00)		//source Layer 2 = none
[MidRa_Screen1_Panel,371]=(Screen1_Preview_Layers_Source[2] == $01)		//source Layer 2 = input 1
[MidRa_Screen1_Panel,372]=(Screen1_Preview_Layers_Source[2] == $02)		//source Layer 2 = input 2
[MidRa_Screen1_Panel,373]=(Screen1_Preview_Layers_Source[2] == $03)		//source Layer 2 = input 3
[MidRa_Screen1_Panel,374]=(Screen1_Preview_Layers_Source[2] == $04)		//source Layer 2 = input 4
[MidRa_Screen1_Panel,375]=(Screen1_Preview_Layers_Source[2] == $05)		//source Layer 2 = input 5
[MidRa_Screen1_Panel,376]=(Screen1_Preview_Layers_Source[2] == $06)		//source Layer 2 = input 6
[MidRa_Screen1_Panel,377]=(Screen1_Preview_Layers_Source[2] == $07)		//source Layer 2 = input 7
[MidRa_Screen1_Panel,378]=(Screen1_Preview_Layers_Source[2] == $08)		//source Layer 2 = input 8

[MidRa_Screen1_Panel,390]=(Screen1_Preview_Layers_Source[3] == $00)		//source Layer 3 = none
[MidRa_Screen1_Panel,391]=(Screen1_Preview_Layers_Source[3] == $01)		//source Layer 3 = input 1
[MidRa_Screen1_Panel,392]=(Screen1_Preview_Layers_Source[3] == $02)		//source Layer 3 = input 2
[MidRa_Screen1_Panel,393]=(Screen1_Preview_Layers_Source[3] == $03)		//source Layer 3 = input 3
[MidRa_Screen1_Panel,394]=(Screen1_Preview_Layers_Source[3] == $04)		//source Layer 3 = input 4
[MidRa_Screen1_Panel,395]=(Screen1_Preview_Layers_Source[3] == $05)		//source Layer 3 = input 5
[MidRa_Screen1_Panel,396]=(Screen1_Preview_Layers_Source[3] == $06)		//source Layer 3 = input 6
[MidRa_Screen1_Panel,397]=(Screen1_Preview_Layers_Source[3] == $07)		//source Layer 3 = input 7
[MidRa_Screen1_Panel,398]=(Screen1_Preview_Layers_Source[3] == $08)		//source Layer 3 = input 8


//Screen2 Preview source Feedback
[MidRa_Screen2_Panel,350]=(Screen2_Preview_Layers_Source[1] == $00)		//source layer 1 = none
[MidRa_Screen2_Panel,351]=(Screen2_Preview_Layers_Source[1] == $01)		//source layer 1 = Frame 1
[MidRa_Screen2_Panel,352]=(Screen2_Preview_Layers_Source[1] == $02)		//source layer 1 = Frame 2
[MidRa_Screen2_Panel,353]=(Screen2_Preview_Layers_Source[1] == $03)		//source layer 1 = Frame 3
[MidRa_Screen2_Panel,354]=(Screen2_Preview_Layers_Source[1] == $04)		//source layer 1 = Frame 4

[MidRa_Screen2_Panel,370]=(Screen2_Preview_Layers_Source[2] == $00)		//source Layer 2 = none
[MidRa_Screen2_Panel,371]=(Screen2_Preview_Layers_Source[2] == $01)		//source Layer 2 = input 1
[MidRa_Screen2_Panel,372]=(Screen2_Preview_Layers_Source[2] == $02)		//source Layer 2 = input 2
[MidRa_Screen2_Panel,373]=(Screen2_Preview_Layers_Source[2] == $03)		//source Layer 2 = input 3
[MidRa_Screen2_Panel,374]=(Screen2_Preview_Layers_Source[2] == $04)		//source Layer 2 = input 4
[MidRa_Screen2_Panel,375]=(Screen2_Preview_Layers_Source[2] == $05)		//source Layer 2 = input 5
[MidRa_Screen2_Panel,376]=(Screen2_Preview_Layers_Source[2] == $06)		//source Layer 2 = input 6
[MidRa_Screen2_Panel,377]=(Screen2_Preview_Layers_Source[2] == $07)		//source Layer 2 = input 7
[MidRa_Screen2_Panel,378]=(Screen2_Preview_Layers_Source[2] == $08)		//source Layer 2 = input 8

[MidRa_Screen2_Panel,390]=(Screen2_Preview_Layers_Source[3] == $00)		//source Layer 3 = none
[MidRa_Screen2_Panel,391]=(Screen2_Preview_Layers_Source[3] == $01)		//source Layer 3 = input 1
[MidRa_Screen2_Panel,392]=(Screen2_Preview_Layers_Source[3] == $02)		//source Layer 3 = input 2
[MidRa_Screen2_Panel,393]=(Screen2_Preview_Layers_Source[3] == $03)		//source Layer 3 = input 3
[MidRa_Screen2_Panel,394]=(Screen2_Preview_Layers_Source[3] == $04)		//source Layer 3 = input 4
[MidRa_Screen2_Panel,395]=(Screen2_Preview_Layers_Source[3] == $05)		//source Layer 3 = input 5
[MidRa_Screen2_Panel,396]=(Screen2_Preview_Layers_Source[3] == $06)		//source Layer 3 = input 6
[MidRa_Screen2_Panel,397]=(Screen2_Preview_Layers_Source[3] == $07)		//source Layer 3 = input 7
[MidRa_Screen2_Panel,398]=(Screen2_Preview_Layers_Source[3] == $08)		//source Layer 3 = input 8

(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)
*/

