PROGRAM_NAME='MidRa_Definitions'

(***********************************************************)
(* REV HISTORY:     Revision   1.0                         *)
(***********************************************************)

(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
#if_not_defined MidRa_Devices
#define MidRa_Devices

DEFINE_DEVICE

IPad_Port1		=	IPad_Num_Device:1:0
IPad_Port2		=	IPad_Num_Device:2:0
IPad_Port3		=	IPad_Num_Device:3:0
IPad_Port7		=	IPad_Num_Device:7:0
IPad_Port8		=	IPad_Num_Device:8:0
IPad_Port15		=	IPad_Num_Device:15:0

MidRa_Proc_COM			=	Virtual_MidRa_Num_Device:1:0
MidRa_General_COM		=	Virtual_MidRa_Num_Device:2:0
MidRa_Video_Inputs_COM		=	Virtual_MidRa_Num_Device:3:0
MidRa_Frame_Logo_COM		=	Virtual_MidRa_Num_Device:4:0
MidRa_Screen1_COM		=	Virtual_MidRa_Num_Device:5:0
MidRa_Screen2_COM		=	Virtual_MidRa_Num_Device:6:0
MidRa_Screen_Presets1_COM	=	Virtual_MidRa_Num_Device:7:0
MidRa_Screen_Presets2_COM	=	Virtual_MidRa_Num_Device:8:0
MidRa_Audio_COM			=	Virtual_MidRa_Num_Device:9:0

MidRa_General_Panel		=	Virtual_MidRa_Panel:1:0
MidRa_Video_Inputs_Panel	=	Virtual_MidRa_Panel:2:0
MidRa_Frame_Logo_Panel		=	Virtual_MidRa_Panel:3:0
MidRa_Screen1_Panel		=	Virtual_MidRa_Panel:7:0
MidRa_Screen2_Panel		=	Virtual_MidRa_Panel:8:0
MidRa_Audio_Panel		=	Virtual_MidRa_Panel:15:0

DEFINE_COMBINE
(MidRa_General_Panel,IPad_Port1)
(MidRa_Video_Inputs_Panel,IPad_Port2)
(MidRa_Frame_Logo_Panel,IPad_Port3)
(MidRa_Screen1_Panel,IPad_Port7)
(MidRa_Screen2_Panel,IPad_Port8)
(MidRa_Audio_Panel,IPad_Port15)

#end_If

(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
#if_not_defined MidRa_Variables
#define MidRa_Variables

DEFINE_VARIABLE

Integer MidRa_Modules_Usage [8]

DEV MidRa_Modules_Array[] =   {
			      MidRa_General_COM,
			      MidRa_Video_Inputs_COM,
			      MidRa_Frame_Logo_COM,
			      MidRa_Audio_COM,
			      MidRa_Screen1_COM,
			      MidRa_Screen2_COM,
			      MidRa_Screen_Presets1_COM,
			      MidRa_Screen_Presets2_COM
			      }

DEV MidRa_Panels_Array[] =  {
			    MidRa_General_Panel,
			    MidRa_Video_Inputs_Panel,
			    MidRa_Frame_Logo_Panel,
			    MidRa_Audio_Panel,
			    MidRa_Screen1_Panel,
			    MidRa_Screen2_Panel,
			    MidRa_Screen1_Panel,
			    MidRa_Screen2_Panel
			    }

INTEGER Screen1_Main_Layers_Source[8]
INTEGER Screen1_Preview_Layers_Source[8]

INTEGER Screen2_Main_Layers_Source[8]
INTEGER Screen2_Preview_Layers_Source[8]

INTEGER Screen1
INTEGER Screen2

CHAR Video_Input_Format[60][30]
CHAR Audio_Input_Format[18][30]

LONG MidRa_Status_Timeline_Number_Steps[2]

INTEGER Active_Video_Mode

INTEGER In_Active_Plug_FB[10]

#end_If

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START

SET_VIRTUAL_CHANNEL_COUNT (MidRa_General_Panel,500)
SET_VIRTUAL_LEVEL_COUNT (MidRa_General_Panel,200)
SET_VIRTUAL_CHANNEL_COUNT (MidRa_Video_Inputs_Panel,500)
SET_VIRTUAL_LEVEL_COUNT (MidRa_Video_Inputs_Panel,200)
SET_VIRTUAL_CHANNEL_COUNT (MidRa_Frame_Logo_Panel,500)
SET_VIRTUAL_LEVEL_COUNT (MidRa_Frame_Logo_Panel,200)
SET_VIRTUAL_CHANNEL_COUNT (MidRa_Screen1_Panel,500)
SET_VIRTUAL_LEVEL_COUNT (MidRa_Screen1_Panel,200)
SET_VIRTUAL_CHANNEL_COUNT (MidRa_Screen2_Panel,500)
SET_VIRTUAL_LEVEL_COUNT (MidRa_Screen2_Panel,200)
SET_VIRTUAL_CHANNEL_COUNT (MidRa_Audio_Panel,500)
SET_VIRTUAL_LEVEL_COUNT (MidRa_Audio_Panel,200)

MidRa_Modules_Usage[1]=1
MidRa_Modules_Usage[2]=MidRa_Video_Inputs_Usage
MidRa_Modules_Usage[3]=MidRa_Frame_Logo_Usage
MidRa_Modules_Usage[4]=MidRa_Audio_Usage
MidRa_Modules_Usage[5]=MidRa_Screen1_Usage
MidRa_Modules_Usage[6]=MidRa_Screen2_Usage
MidRa_Modules_Usage[7]=MidRa_Screen_Presets1_Usage
MidRa_Modules_Usage[8]=MidRa_Screen_Presets2_Usage

Screen1=0
Screen2=1

MidRa_Status_Timeline_Number_Steps[1]=MidRa_Status_Timeline_Speed
MidRa_Status_Timeline_Number_Steps[2]=MidRa_Status_Timeline_Speed

Video_Input_Format[1]='NONE'
Video_Input_Format[2]='INVALID'
Video_Input_Format[3]='UNKNOWN'
Video_Input_Format[4]='SDTV NTSC'
Video_Input_Format[5]='SDTV PAL'
Video_Input_Format[6]='SDTV SECAM'
Video_Input_Format[7]='SDTV 480i'
Video_Input_Format[8]='SDTV 576i'
Video_Input_Format[9]='EDTV 480p'
Video_Input_Format[10]='EDTV 576p'

Video_Input_Format[11]='HDTV 720p'
Video_Input_Format[12]='HDTV 1035i'
Video_Input_Format[13]='HDTV 1080i'
Video_Input_Format[14]='HDTV 1080p'
Video_Input_Format[15]='HDTV 2048x1080 Cinema'
Video_Input_Format[16]='CEA861 720x240p'
Video_Input_Format[17]='CEA861 720x288p'
Video_Input_Format[18]='CPU 640x350'
Video_Input_Format[19]='CPU 640x400'
Video_Input_Format[20]='CPU 720x400'

Video_Input_Format[21]='CPU VGA'
Video_Input_Format[22]='CPU WVGA 5/3'
Video_Input_Format[23]='CPU WVGA'
Video_Input_Format[24]='CPU SVGA'
Video_Input_Format[25]='CPU 1280x600'
Video_Input_Format[26]='CPU 720p RGB'
Video_Input_Format[27]='CPU XGA'
Video_Input_Format[28]='CPU WXGA'
Video_Input_Format[29]='CPU SWXGA'
Video_Input_Format[30]='CPU 1366x768'

Video_Input_Format[31]='CPU 800p RGB'
Video_Input_Format[32]='CPU SWXGA+'
Video_Input_Format[33]='CPU 1152x864'
Video_Input_Format[34]='CPU 900p RGB'
Video_Input_Format[35]='CPU 1600x900'
Video_Input_Format[36]='CPU 960p RGB'
Video_Input_Format[37]='CPU SXGA'
Video_Input_Format[38]='CPU SXGA3'
Video_Input_Format[39]='CPU SXGA+'
Video_Input_Format[40]='CPU WSXGA+'

Video_Input_Format[41]='CPU 1080p RGB'
Video_Input_Format[42]='CPU 2K'
Video_Input_Format[43]='CPU QWXGA'
Video_Input_Format[44]='CPU UXGA'
Video_Input_Format[45]='CPU WUXGA'
Video_Input_Format[46]='CPU 1792x1344'
Video_Input_Format[47]='CPU 1856x1392'
Video_Input_Format[48]='CPU 1920x1440'
Video_Input_Format[49]='CPU WQHD'
Video_Input_Format[50]='CPU QXGA'

Video_Input_Format[51]='CPU WQXGA'
Video_Input_Format[52]='CPU CVT Timing'
Video_Input_Format[53]='CPU GTF Timing with 5/4 aspect ratio'
Video_Input_Format[54]='CPU GTF Timing with 4/3 aspect ratio'
Video_Input_Format[55]='CPU GTF Timing with 16/10 aspect ratio'
Video_Input_Format[56]='CPU GTF Timing with 15/9 aspect ratio'
Video_Input_Format[57]='CPU GTF Timing with 16/9 aspect ratio'
Video_Input_Format[58]=' '
Video_Input_Format[59]=' '
Video_Input_Format[60]=' '


Audio_Input_Format[1]='UNKNOWN'
Audio_Input_Format[2]='PCM'
Audio_Input_Format[3]='AC3'
Audio_Input_Format[4]='MPEG 1'
Audio_Input_Format[5]='MP3'
Audio_Input_Format[6]='MPEG 2'
Audio_Input_Format[7]='AAC'
Audio_Input_Format[8]='DTS'
Audio_Input_Format[9]='ATRAC'
Audio_Input_Format[10]='DSD'

Audio_Input_Format[11]='Extended AC3'
Audio_Input_Format[12]='DTS HS'
Audio_Input_Format[13]='MPL'
Audio_Input_Format[14]='DST'
Audio_Input_Format[15]='HWMA Pro'
Audio_Input_Format[16]='HE AAC'
Audio_Input_Format[17]='HE AAC V2'
Audio_Input_Format[18]='MPEG Surround'

TIMELINE_KILL (MidRa_Status_Timeline_Number)

(***********************************************************)
(*                THE EVENTS GO BELOW                      *)
(***********************************************************)
DEFINE_EVENT

BUTTON_EVENT [MidRa_General_Panel,300]
{
PUSH :
    {
    TIMELINE_KILL (MidRa_Status_Timeline_Number)
    }
}

BUTTON_EVENT [MidRa_General_Panel,301]
{
PUSH :
    {
    If (TIMELINE_ACTIVE(MidRa_Status_Timeline_Number))
	TIMELINE_KILL (MidRa_Status_Timeline_Number)
    TIMELINE_CREATE(MidRa_Status_Timeline_Number,MidRa_Status_Timeline_Number_Steps,2,1,TIMELINE_REPEAT)
    }
}

Timeline_Event [MidRa_Status_Timeline_Number]
{
Switch (Timeline.Sequence)
    {
    Case 1 :
	{
	SEND_STRING MidRa_Proc_COM,"'To_MidRa:','SYpigSBsta*',$0A" //ping + standby status + ready status
	}
    Case 2 :
	{
	SEND_STRING MidRa_Proc_COM,"'To_MidRa:','SYpigSBsta*',$0A" //ping + standby status + ready status
	}
    }
}

(***********************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                *)
(***********************************************************)
DEFINE_PROGRAM

[MidRa_General_Panel,222]=([MidRa_Screen1_Panel,131]==$01 || [MidRa_Screen2_Panel,131]=$01)
